libximc: home_settings_t Struct Reference

libximc 3.0.3

Data Fields
home_settings_t Struct Reference

Position calibration settings. More...

`#include <ximc.h>`

## Data Fields
unsigned int | FastHome
| Speed used for first motion (full steps).
unsigned int | uFastHome
| Fractional part of the speed for first motion, microsteps.
unsigned int | SlowHome
| Speed used for second motion (full steps).
unsigned int | uSlowHome
| Part of the speed for second motion, microsteps.
int | HomeDelta
| Distance from break point (full steps).
int | uHomeDelta
| Fractional part of the delta distance, microsteps.
unsigned int | HomeFlags
| Home settings flags.

## Detailed Description

Position calibration settings.

This structure contains settings used in position calibration. It specify behavior of calibration procedure.

See also
  get_home_settings
  set_home_settings
  command_home
  get_home_settings, set_home_settings

## Field Documentation

## ◆ FastHome

unsigned int FastHome

Speed used for first motion (full steps).

Range: 0..100000.

## ◆ HomeDelta

int HomeDelta

Distance from break point (full steps).

## ◆ HomeFlags

unsigned int HomeFlags

Home settings flags.

## ◆ SlowHome

unsigned int SlowHome

Speed used for second motion (full steps).

Range: 0..100000.

## ◆ uFastHome

unsigned int uFastHome

Fractional part of the speed for first motion, microsteps.

The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings).

## ◆ uHomeDelta

int uHomeDelta

Fractional part of the delta distance, microsteps.

The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings).

## ◆ uSlowHome

unsigned int uSlowHome

Part of the speed for second motion, microsteps.

The microstep size and the range of valid values for this field depend on the selected step division mode (see the MicrostepMode field in engine_settings).